Last Comment Bug 651663 - TestXPC unit test failure
: TestXPC unit test failure
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Mook (as)
:
: Andrew Overholt [:overholt]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 653960
  Show dependency treegraph
 
Reported: 2011-04-20 15:46 PDT by Mook (as)
Modified: 2011-04-30 18:05 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add flags (672 bytes, patch)
2011-04-20 15:46 PDT, Mook (as)
jorendorff: review+
Details | Diff | Splinter Review

Description Mook (as) 2011-04-20 15:46:01 PDT
Created attachment 527413 [details] [diff] [review]
add flags

There's a TestXPC in dist/bin, from http://mxr.mozilla.org/mozilla-central/source/js/src/xpconnect/tests/TestXPC.cpp

Actually trying to run the test aborts:

Assertion failure: clasp->flags & JSCLASS_IS_GLOBAL, at .../src/js/src/jsapi.cpp:3062
Aborted

It makes me feel less guilty to actually attach the fix too - it's not like I took part in thinking about it ;)
Comment 1 Jason Orendorff [:jorendorff] 2011-04-25 12:00:40 PDT
Comment on attachment 527413 [details] [diff] [review]
add flags

Review of attachment 527413 [details] [diff] [review]:

r=me, but it also seems like a bug that we didn't find out about this until now. Is this test useful? It must not run on our build/test machines, at least not in debug builds. Either that, or the assertion was happening but wasn't being detected and reported properly. Please file the follow-up bug to get that fixed!
Comment 2 :Mook 2011-04-30 18:05:50 PDT
http://hg.mozilla.org/mozilla-central/rev/deb13b9167ad

Follow up filed as bug 653960

Note You need to log in before you can comment on or make changes to this bug.